Uses of Class
io.vertx.core.http.QueryParamDecoderConfig
Packages that use QueryParamDecoderConfig
-
Uses of QueryParamDecoderConfig in io.vertx.core.http
Methods in io.vertx.core.http that return QueryParamDecoderConfigModifier and TypeMethodDescriptionHttpServerConfig.getQueryParamConfig()QueryParamDecoderConfig.setCharset(Charset charset) Set the charset to decode query parameters.QueryParamDecoderConfig.setMaxSize(int maxSize) Set the maximum number of parameters to decode.QueryParamDecoderConfig.setUseSemicolonAsDelimiter(boolean useSemicolonAsDelimiter) Configure whether to use the semicolon char;as a delimiter for query string parameters.Methods in io.vertx.core.http with parameters of type QueryParamDecoderConfigModifier and TypeMethodDescriptionHttpServerConfig.setQueryParamConfig(QueryParamDecoderConfig queryParamDecoderConfig) Set the configuration for parsing HTTP request query parameters.Constructors in io.vertx.core.http with parameters of type QueryParamDecoderConfig